package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.MerchantAddress;

@Mapper
public interface MerchantAddressMapper {

    public MerchantAddress queryMerchantAddress(MerchantAddress merchantAddress);

    public List<MerchantAddress> queryMerchantAddressList(MerchantAddress merchantAddress);

    public void saveMerchantAddress(MerchantAddress merchantAddress);

    public void updateMerchantAddress(MerchantAddress merchantAddress);

    public void deleteMerchantAddress(MerchantAddress merchantAddress);

    public List<MerchantAddress> queryMerchantAddressPage(Map map);

    public Integer queryMerchantAddressPageCount(Map map);

    public void saveMerchantAddressBatch(List<MerchantAddress>  merchantAddressList);
}

